---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libobjfree002.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x52DD0, symBinAddr: 0xC730, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x54D10, symBinAddr: 0xE670, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x55100, symBinAddr: 0xEA60, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x560A0, symBinAddr: 0xFA00, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x560B0, symBinAddr: 0xFA10, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: _mem, symObjAddr: 0x6D7B0, symBinAddr: 0x27110, symSize: 0x0 }
  - { offsetInCU: 0x7D8, offset: 0x7D8, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x52500, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x7E3, offset: 0x7E3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x52504, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0x7EE, offset: 0x7EE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x52508, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0x833, offset: 0x833, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x52660, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0x8AC, offset: 0x8AC, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x52718, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8CA, offset: 0x8CA, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5271C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0x8E3, offset: 0x8E3, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x52720, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8FC, offset: 0x8FC, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x52724, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0x915, offset: 0x915, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x52728, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8EFF, offset: 0x8EFF, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x52730, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8F88, offset: 0x8F88, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x52740, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FA1, offset: 0x8FA1, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x52748, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8FBA, offset: 0x8FBA, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x52750, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8FD3, offset: 0x8FD3, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x52758, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x8FEC, offset: 0x8FEC, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x52760, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9006, offset: 0x9006, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x52768, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x90EC, offset: 0x90EC, size: 0x8, addend: 0x0, symName: __ZL7objfree, symObjAddr: 0x527AC, symBinAddr: 0xC1CC, symSize: 0x0 }
  - { offsetInCU: 0x9105, offset: 0x9105, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x527B0, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9123, offset: 0x9123, size: 0x8, addend: 0x0, symName: __ZL4stor, symObjAddr: 0x5293A, symBinAddr: 0xC32A, symSize: 0x0 }
  - { offsetInCU: 0x916B, offset: 0x916B, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x527B8, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x9184, offset: 0x9184, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x527C0, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x919D, offset: 0x919D, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x527D0, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x91EF, offset: 0x91EF, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x2820, symSize: 0x80 }
  - { offsetInCU: 0x9284, offset: 0x9284, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2770, symSize: 0xB0 }
  - { offsetInCU: 0x92DF, offset: 0x92DF, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2670, symSize: 0x100 }
  - { offsetInCU: 0x9572, offset: 0x9572, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x28A0, symSize: 0xC0 }
  - { offsetInCU: 0x95C4, offset: 0x95C4, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x2960, symSize: 0x220 }
  - { offsetInCU: 0x97A9, offset: 0x97A9, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x2B80, symSize: 0xA0 }
  - { offsetInCU: 0x985C, offset: 0x985C, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x2C20, symSize: 0x110 }
  - { offsetInCU: 0x9952, offset: 0x9952, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x2D30, symSize: 0x150 }
  - { offsetInCU: 0x9ACF, offset: 0x9ACF, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x2E80, symSize: 0x30 }
  - { offsetInCU: 0x9BB0, offset: 0x9BB0, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x2EB0, symSize: 0x150 }
  - { offsetInCU: 0x9DA8, offset: 0x9DA8, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3000, symSize: 0x160 }
  - { offsetInCU: 0xA068, offset: 0xA068, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x3160, symSize: 0x4A0 }
  - { offsetInCU: 0xA2DB, offset: 0xA2DB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x3600, symSize: 0x1B0 }
  - { offsetInCU: 0xA4F6, offset: 0xA4F6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x37B0, symSize: 0xA0 }
  - { offsetInCU: 0xA5F1, offset: 0xA5F1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3850, symSize: 0x20 }
  - { offsetInCU: 0xA628, offset: 0xA628, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3870, symSize: 0x20 }
  - { offsetInCU: 0xA65F, offset: 0xA65F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3890, symSize: 0x20 }
  - { offsetInCU: 0xA7CE, offset: 0xA7CE, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x38B0, symSize: 0x1A0 }
  - { offsetInCU: 0xAAEA, offset: 0xAAEA, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x3A50, symSize: 0x130 }
  - { offsetInCU: 0xAC9A, offset: 0xAC9A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x3B80, symSize: 0x80 }
  - { offsetInCU: 0xAD63, offset: 0xAD63, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x3C00, symSize: 0x6A0 }
  - { offsetInCU: 0xB8F8, offset: 0xB8F8, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xAB80, symBinAddr: 0x5910, symSize: 0xB0 }
  - { offsetInCU: 0xB96F, offset: 0xB96F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x42A0, symSize: 0x70 }
  - { offsetInCU: 0xBA2B, offset: 0xBA2B, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x4310, symSize: 0xA0 }
  - { offsetInCU: 0xBB56, offset: 0xBB56, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x43B0, symSize: 0x40 }
  - { offsetInCU: 0xBC4C, offset: 0xBC4C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x43F0, symSize: 0x2B0 }
  - { offsetInCU: 0xBFF2, offset: 0xBFF2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x46A0, symSize: 0xC0 }
  - { offsetInCU: 0xC138, offset: 0xC138, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4760, symSize: 0x10 }
  - { offsetInCU: 0xC1FA, offset: 0xC1FA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4770, symSize: 0x220 }
  - { offsetInCU: 0xC4F7, offset: 0xC4F7, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x4990, symSize: 0x10 }
  - { offsetInCU: 0xC554, offset: 0xC554, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x49A0, symSize: 0x400 }
  - { offsetInCU: 0xC9D2, offset: 0xC9D2, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA010, symBinAddr: 0x4DA0, symSize: 0x10 }
  - { offsetInCU: 0xCB1E, offset: 0xCB1E, size: 0x8, addend: 0x0, symName: _ObjectFree, symObjAddr: 0xA020, symBinAddr: 0x4DB0, symSize: 0x9D0 }
  - { offsetInCU: 0xD595, offset: 0xD595, size: 0x8, addend: 0x0, symName: _VMDeath, symObjAddr: 0xA9F0, symBinAddr: 0x5780, symSize: 0x60 }
  - { offsetInCU: 0xD5EB, offset: 0xD5EB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_ObjectFree_objfree002_setTag, symObjAddr: 0xAA50, symBinAddr: 0x57E0, symSize: 0x120 }
  - { offsetInCU: 0xD727, offset: 0xD727, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_ObjectFree_objfree002_check, symObjAddr: 0xAB70, symBinAddr: 0x5900, symSize: 0x10 }
  - { offsetInCU: 0xD75C, offset: 0xD75C, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xAC30, symBinAddr: 0x59C0, symSize: 0x36A }
...
